org.apache.ode.bpel.iapi

## Enum ProcessConf.CLEANUP_CATEGORY

- java.lang.Object
- - java.lang.Enum<ProcessConf.CLEANUP_CATEGORY>
  - - org.apache.ode.bpel.iapi.ProcessConf.CLEANUP_CATEGORY

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProcessConf.CLEANUP_CATEGORY>
  Enclosing interface:
    ProcessConf

      public static enum ProcessConf.CLEANUP_CATEGORY
      extends java.lang.Enum<ProcessConf.CLEANUP_CATEGORY>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORRELATIONS`
    `EVENTS`
    `INSTANCE`
    `MESSAGES`
    `VARIABLES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessConf.CLEANUP_CATEGORY` | `fromString(java.lang.String lowerCase)`
    `static ProcessConf.CLEANUP_CATEGORY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProcessConf.CLEANUP_CATEGORY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final ProcessConf.CLEANUP_CATEGORY INSTANCE

    - #### VARIABLES

          public static final ProcessConf.CLEANUP_CATEGORY VARIABLES

    - #### MESSAGES

          public static final ProcessConf.CLEANUP_CATEGORY MESSAGES

    - #### CORRELATIONS

          public static final ProcessConf.CLEANUP_CATEGORY CORRELATIONS

    - #### EVENTS

          public static final ProcessConf.CLEANUP_CATEGORY EVENTS

  - ### Method Detail

    - #### values

          public static ProcessConf.CLEANUP_CATEGORY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessConf.CLEANUP_CATEGORY c : ProcessConf.CLEANUP_CATEGORY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessConf.CLEANUP_CATEGORY valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static ProcessConf.CLEANUP_CATEGORY fromString(java.lang.String lowerCase)